package com.cloudcross.ssp.model;

import java.io.Serializable;
import java.util.Date;

/**
 * 创建人：rongying
 * 创建时间：2015.12.11
 * dsp账户实体对象
 */

@SuppressWarnings("serial")
public class DspAgent implements Serializable {
	
	private Long id;//dsp账号id

	private String token;//令牌
	
	private String name;//dsp账户名
	
	private String companyName;//公司注册名
	
	private String homepage;//网址
	
	private String contacts;//联系人
	
	private String tel;//电话

	private String email;//电子邮件
	
	private String memo;//备注
	
	private String ip;//ip地址
	
	private Long port;//端口

	private Date updated;//最后更新时间
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getHomepage() {
		return homepage;
	}

	public void setHomepage(String homepage) {
		this.homepage = homepage;
	}

	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	public String getTel() {
		return tel;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public Long getPort() {
		return port;
	}

	public void setPort(Long port) {
		this.port = port;
	}

	public Date getUpdated() {
		return updated;
	}

	public void setUpdated(Date updated) {
		this.updated = updated;
	}

	@Override
	public String toString() {
		return "DspAgent [id=" + id + ", token=" + token + ", name=" + name + ","
				+ " companyName=" + companyName + ", homepage=" + homepage + ","
				+ " contacts=" + contacts + ", tel=" + tel + ", email=" + email + ","
				+ " memo=" + memo + ", ip=" + ip + ", port=" + port + ","
				+ " updated=" + updated + "]";
	}
	
}

